apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    type: argocd-config
  name: homepage-autopilot
  namespace: team-szoll-gitops-controlplane
spec:
  destination:
    server: https://kubernetes.default.svc
  project: default
  source:
    directory:
      jsonnet: {}
      recurse: true
    path: ArgoCD/
    repoURL: https://gitlab.com/toolchainbox/devsecops/user-projects/szoll/homepageconfig.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true
